Bug 960631 - eclipse-4.3.0-0.41.fc19 fails to build on s390x
eclipse-4.3.0-0.41.fc19 fails to build on s390x
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
19
s390x Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Krzysztof Daniel
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2013-05-07 10:29 EDT by Dan Horák
Modified: 2014-01-12 19:27 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-14 06:55:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2013-05-07 10:29:36 EDT
using bugzilla now, so the log is not cleaned before we get in personal contact

from the build.log
...
e.pde.tools.versioning .................. SKIPPED
[INFO] org.eclipse.sdk.examples .......................... SKIPPED
[INFO] org.eclipse.sdk.tests ............................. SKIPPED
[INFO] org.eclipse.test .................................. SKIPPED
[INFO] org.eclipse.test.performance.win32 ................ SKIPPED
[INFO] master-equinox-p2 ................................. SKIPPED
[INFO] org.eclipse.sdk ................................... SKIPPED
[INFO] org.eclipse.sdk.examples .......................... SKIPPED
[INFO] org.eclipse.test .................................. SKIPPED
[INFO] org.eclipse.sdk.tests ............................. SKIPPED
[INFO] eclipse.platform.releng.tychoeclipsebuilder ....... SKIPPED
[INFO] eclipse-junit-tests ............................... SKIPPED
[INFO] org.eclipse.rcp.configuration ..................... SKIPPED
[INFO] org.eclipse.platform.ide .......................... SKIPPED
[INFO] org.eclipse.jdt.update-site ....................... SKIPPED
[INFO] platform-aggregator ............................... SKIPPED
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 18:53:21.581s
[INFO] Finished at: Sun May 05 14:37:41 EDT 2013
[INFO] Final Memory: 537M/870M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-antrun-plugin:1.7:run (natives) on project org.eclipse.core.net.linux.s390x: An Ant BuildException has occured: The directory /builddir/build/BUILD/R4_platform-aggregator-2caa8794a57a9479ad642d7f6e3607a020aa36e0/eclipse.platform.team/bundles/org.eclipse.core.net/natives/unix/linux/s390x does not exist
[ERROR] around Ant part ...<exec newenvironment="false" dir="../../natives/unix/linux/s390x/" executable="make"/>... @ 4:89 in /builddir/build/BUILD/R4_platform-aggregator-2caa8794a57a9479ad642d7f6e3607a020aa36e0/eclipse.platform.team/bundles/org.eclipse.core.net/fragments/org.eclipse.core.net.linux.s390x/target/antrun/build-main.xml
[ERROR] -> [Help 1]
[ERROR] 
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR] 
[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/MojoExecutionException
[ERROR] 
[ERROR] After correcting the problems, you can resume the build with the command
[ERROR]   mvn <goals> -rf :org.eclipse.core.net.linux.s390x
error: Bad exit status from /var/tmp/rpm-tmp.mVripa (%build)
RPM build errors:
    bogus date in %changelog: Fri Jun 18 2012 Sami Wagiaalla <swagiaal@redhat.com> 1:4.2.0-0.24.I201205031800
    bogus date in %changelog: Tue Jan 19 2012 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.1-15
    bogus date in %changelog: Mon Jan 19 2012 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.1-14
    bogus date in %changelog: Fri Jan 16 2012 Alexander Kurtakov <akurtako@redhat.com> - 1:3.7.1-13
    bogus date in %changelog: Tue Nov 16 2011 Roland Grunberg <rgrunber@redhat.com> 1:3.7.1-2
    Bad exit status from /var/tmp/rpm-tmp.mVripa (%build)
Child return code was: 1
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target s390x --nodeps builddir/build/SPECS/eclipse.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/mockbuild/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.6/site-packages/mockbuild/util.py", line 352, in do
    raise mockbuild.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target s390x --nodeps builddir/build/SPECS/eclipse.spec']
LEAVE do --> EXCEPTION RAISED

Please review 4.3.0-0.42 before it spends whole day before possibly the same error. Thanks, Dan
Comment 1 Krzysztof Daniel 2013-05-14 06:55:38 EDT
Scratch build succeeded https://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1050088
Regular build is in progress.
The issue causing build problem was fixed.

Note You need to log in before you can comment on or make changes to this bug.